Create a paper trading account
curl --request POST \
--url https://api.agg.market/apps/{appId}/paper-trading/accounts \
--header 'Content-Type: application/json' \
--header 'x-app-api-key: <api-key>' \
--data '
{
"name": "<string>",
"externalId": "<string>",
"initialBalanceRaw": "<string>",
"initialBalance": 1
}
'{
"id": "<string>",
"appId": "<string>",
"name": "<string>",
"externalId": "<string>",
"currency": "<string>",
"startingBalanceRaw": "<string>",
"startingBalance": 123,
"cashBalanceRaw": "<string>",
"cashBalance": 123,
"realizedPnlRaw": "<string>",
"realizedPnl": 123,
"kycStatus": "verified",
"kycVerified": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}Execution
Create a paper trading account
POST
/
apps
/
{appId}
/
paper-trading
/
accounts
Create a paper trading account
curl --request POST \
--url https://api.agg.market/apps/{appId}/paper-trading/accounts \
--header 'Content-Type: application/json' \
--header 'x-app-api-key: <api-key>' \
--data '
{
"name": "<string>",
"externalId": "<string>",
"initialBalanceRaw": "<string>",
"initialBalance": 1
}
'{
"id": "<string>",
"appId": "<string>",
"name": "<string>",
"externalId": "<string>",
"currency": "<string>",
"startingBalanceRaw": "<string>",
"startingBalance": 123,
"cashBalanceRaw": "<string>",
"cashBalance": 123,
"realizedPnlRaw": "<string>",
"realizedPnl": 123,
"kycStatus": "verified",
"kycVerified": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}Authorizations
App-scoped API key for programmatic app management.
Path Parameters
Body
application/json
Response
201
Available options:
verified Available options:
true Available options:
active, archived ⌘I